function x = LoesAxbTot( A,b )
	[ LU,p ,q, wachs] = GaussTot( A ); %Gau-Elimination mit Totaler

	for j = 1:length(A)
		bb( j ) = b( p(j) ); %Tausche die Lsungen der Ursprungsgleichung wie die Spalten innerhalb der Total-Pivot-Suche
	end

	y = VorElim1( LU,bb.');  %Es gilt bei Totalpivot-Suche: Ly=Pb, was anstatt mit L durch das Verfahren der Vorwrtselimination auch mit LU mglich ist, da Elemente aus U ignoriert werden
	z = RueckSubs( LU,y ); %Es gilt Uz=y, bzw LU statt U mit Rcksubstitution, da L-Elemente ignoriert werden

	for j=1:length(z) %x=Qz
		x(q(j))=z(j);%Nun mssen noch die errechneten Lsungen wie die Zeilen innerhalb der Total-Pivot-Suche vertauscht werden, damit die Reihenfolge stimmt
	endfor
endfunction
%Basiert auf Skript-Vorlage,
%L2: [...] +[q,wachs]
%L8: bb ->bb.' Transponiert, damit Dimensionsabmessungen stimmen
%L9: x->z, da Lsung noch vertauscht werden muss
%L11->L13: Umtauschung gem Totalpivotsuche

%Lst ein Gleichungssystem der Form A=[a11,...,a1n;...,...,...;an1,...,ann], b=[b1;...;bn] und gibt die Lsung als Vektor x=[x1,...,xn] aus
%Beispieleingabe: A=[1, 2, 3;42, 84, 21;4, 2, 4], b=[32, 714, 50], LoesAxbTot(A,b) => ans = 4.0000   5.0000   6.0000